Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.action
Class AdapterRequestProcessor

    java.lang.Object
      org.apache.struts.action.RequestProcessor
          com.bea.struts.adapter.action.AdapterRequestProcessor

    public class AdapterRequestProcessor

extends RequestProcessor

Field Summary

Fields inherited from class org.apache.struts.action.RequestProcessor
`actions, INCLUDE_PATH_INFO, INCLUDE_SERVLET_PATH, log, moduleConfig, servlet`

Constructor Summary
`AdapterRequestProcessor()`

Method Summary
`protected void` | `doForward(String uri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Overrides the default behavior of `RequestProcessor.doForward`, replacing the use of a RequestDispatcher obtained from the ServletContext with one obtained from the request, where it can be replaced with a scoping-aware RequestDispatcher.
`protected ActionForward` | `processActionPerform(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Action action, ActionForm actionForm, ActionMapping actionMapping)` Override processActionPerform to fire events from struts actions that have occurred.

Methods inherited from class org.apache.struts.action.RequestProcessor
`destroy, doInclude, getInternal, getServletContext, init, internalModuleRelativeForward, internalModuleRelativeInclude, log, log, process, processActionCreate, processActionForm, processCachedMessages, processContent, processException, processForward, processForwardConfig, processInclude, processLocale, processMapping, processMultipart, processNoCache, processPath, processPopulate, processPreprocess, processRoles, processValidate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterRequestProcessor

    public AdapterRequestProcessor()

Method Detail

### doForward

    protected void doForward(String uri,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws IOException,
                             javax.servlet.ServletException

  Overrides the default behavior of `RequestProcessor.doForward`, replacing the use of a RequestDispatcher obtained from the ServletContext with one obtained from the request, where it can be replaced with a scoping-aware RequestDispatcher.

  Overrides:
    `doForward` in class `RequestProcessor`
  Parameters
    `uri` -
    `request` -
    `response` -
  Throws
    `IOException`
    `javax.servlet.ServletException`

### processActionPerform

    protected ActionForward processActionPerform(javax.servlet.http.HttpServletRequest httpServletRequest,
                                                 javax.servlet.http.HttpServletResponse httpServletResponse,
                                                 Action action,
                                                 ActionForm actionForm,
                                                 ActionMapping actionMapping)
                                          throws IOException,
                                                 javax.servlet.ServletException

  Override processActionPerform to fire events from struts actions that have occurred.

  Overrides:
    `processActionPerform` in class `RequestProcessor`
  Throws
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.